@echo off

rem Rise general help file

cls
echo Rise of the Robots Help
echo =======================
echo.
echo This help file is designed to help you get Rise of the Robots running
echo to the maximum ability of your machine as quickly as possible.
echo.
pause
cls
echo Section 1. Getting the game to run.
echo ===================================
echo.
echo There are several reasons why Rise may not run on your machine.
echo Rise will try to tell you why it did not run, so please read its
echo messages carefully.
echo.
echo General problems.
echo -----------------
echo 1) Not enough memory.
echo Rise needs ALL of a 4 megabyte machines memory to run, so if you are
echo running on a 4-meg machine, you will have to set up your machine carefully.
echo If you have more than 4 megabytes, you should never have memory problems.
echo Rise will try to use as little base memory as possible.
echo.
echo Things to try are...
echo a) EMM386   - it is advised that you remove ALL memory managers except 
echo    for HIMEM.SYS for optimum performance.
echo b) SMARTDRV - this utility is a prime candidate for eating your memory.
echo    Remove this before playing on a 4-meg machine.
echo b) TSRs     - any TSRs except CD-ROM drivers can be removed while playing
echo    Rise. Rise doesn't need a mouse driver.
echo.
pause
cls
echo 2) Sound effects don't work.
echo Rise sound effects work on Soundblaster cards and 100%% compatibles.
echo Assuming you have one and have sound switched on, there are two further
echo reasons why sound won't work properly.
echo a) Rise depends on the BLASTER environment variable.
echo    This is a standard laid down by Creative Labs to tell an application
echo    about the way a soundcard is configured.  This should be set every
echo    time your machine is switched on with a command similar to 
echo    SET BLASTER=A220 I7 D1 T4
echo    See you soundcard manual for details on how to set these up.
echo    (Briefly, A220 = address 220h, I7 = interrupt 7, D1 = DMA channel 1)
echo    Symptoms of this being wrong are sounds cutting out intermittently.
echo b) Rise needs 200k of REAL (low) memory for sounds.
echo    The only solution for this problem is KEEP REMOVING TSRs!
echo.
pause
cls
echo 3) Joystick problems.
echo As with most joystick games, joysticks should be centred while loading.
echo If they weren't, or the joysticks start mis-behaving, press 'J' at any point.
echo This should recalibrate them.
echo Splitters are another problem.  There is a standard to which joystick splitters
echo and joystick cards should adhere.  Some splitter/card combinations are not
echo full implementations of this standard, and therefore you may get incomplete
echo two joystick access.  This is a hardware problem, but it IS solvable.  Contact
echo your joystick card/splitter supplier if re-calibrating (see above) doesn't
echo work.
echo Symptoms include everything working except player 2 block button (button 2).
echo.
echo.
echo.
echo 4) Speed problems.
echo If your machine is 486SX or above and you are still finding Rise runs slowly
echo with a fast video card, you should check that you have Internal Caching on
echo in your CMOS setup.  Check your machine manual for this.
echo.
pause
cls
echo SVGA Specific problems.
echo -----------------------
echo 1) VESA compatible video card was not found.
echo    Basically, you need a SuperVGA card with VESA complient drivers loaded
echo    to play Rise.
echo    If you don't have a SuperVGA card you have two options: buy one or play the
echo    low resolution (VGA) version.
echo    If you HAVE a SVGA card and you get this message, you will have to find
echo    the VESA driver for your card.  This is a small program which you have to 
echo    load every time you want to run a VESA program.  This program should have
echo    been supplied with your video card, although some cards (especially older
echo    ones) don't.  In this case, you will have to hunt on bulletin boards for 
echo    one.  Sorry.
echo 2) VESA found but no suitable mode found.
echo    This is serious.  It means that although you have a VESA complient SVGA card
echo    it does not support a suitable video mode for Rise.
echo    Rise requires 640x400x256 (mode 100h) or 640x480x256 (mode 101h).
echo    If your card doesn't have either, you can't play.
echo    This is a hardware limitation.
echo    Also, the card needs to be of a certain type.  For technical people:
echo    Rise works on cards with a graphics base address of 0A0000h only,
echo    and 64k windows (single or overlapping).
echo.
pause
cls
echo 3) VESA mode found but failed mode initialisation.
echo    This is probably caused by the wrong VESA driver being installed.
echo 4) VESA initialises but the game flickers when run.
echo    This may mean you only have 256k onboard memory.  Rise needs 512k to run
echo    flicker-free.
echo.
pause
cls
echo Finally, we are sorry for all the memory/configuration mess, but the only
echo way around this problem is to make Rise minimum specification 8mb, and we
echo don't wanna be doing that!
echo.
echo Hopefully by now you will have some idea of how to get Rise running.
echo Good luck and thank-you for playing!
echo.
echo.
echo.
